//
// Volume Data Visualizer for Google Earth
//
// main.cpp
//
// Copyright (c) 2012-2014 Shintaro KAWAHARA (kawahara@jamstec.go.jp)
// Japan Agency for Marine-Earth Science and Technology (JAMSTEC)
// http://www.jamstec.go.jp
//
// This program is free software.
// You can redistribute it and/or modify it under the terms of the
// GNU General Public License version 3.0 as published by the Free
// Software Foundation and appearing in the file LICENSE.GPL included
// in the packaging of this file.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <QtGui/QApplication>
#include "mainwindow.h"
#include "colortable.h"
#include "common.h"

#include "kml.h"
extern Grads grads;
extern Parameter param;
extern AppParameter appParam;

enum OptionType {
	GRADS_CTL,
	VDVGE_SAVE,
	VDVGE_CTABLE,
	NONE
};

struct Option {
	QString optString;
	OptionType type;
};

int main( int argc, char *argv[] )
{
	qRegisterMetaType<FloatVector>( "FloatVector" );

	QApplication application( argc, argv );
	QApplication::setStyle( "plastique" );

	// Specifying Character Encoding
	// ( for Path and File Name includes Double-Byte Character Set )
	QTextCodec::setCodecForTr( QTextCodec::codecForLocale() );
	QTextCodec::setCodecForCStrings( QTextCodec::codecForLocale() );

	MainWindow window;
	window.show();

	param.setMaximumViewerSize( application.desktop()->size() );

	return application.exec();
}
